Come 260 milioni di altri siti Web, utilizziamo un certificato SSL di Let's Encrypt. Il 30 settembre 2021, il vecchio certificato radice SSL utilizzato da Let's Encrypt è scaduto e hanno iniziato a utilizzarne uno nuovo. Questo nuovo certificato è incluso solo con iOS 10 e le versioni successive, quindi i dispositivi con iOS 9 o una versione precedente non sono in grado di verificare che il nostro certificato SSL attuale sia valido. Quindi, su tali dispositivi Breviarium Meum mostra un errore SSL e si rifiuta di scaricare i dati.

Per far funzionare Breviarium Meum su un dispositivo con iOS 9 o qualche versione precedente, occorre installare il nuovo certificato root di Let's Encrypt. Ecco un link diretto al certificato.


Se non si fida del collegamento diretto (come è saggio per qualcosa tanto importante come un certificato radice), andare alla pagina Let’s Encrypt Chain of Trust, scorrere verso il basso fino a "Root Certificates" e toccare il collegamento "pem" per l'ISRG autofirmato Certificato Root X1 come indicato di seguito:

scaricare il certificato radice di Let‘s Encrypt

Istallazione

Quando il dispositivo iOS scarica il certificato, lo riconoscerà come profilo di configurazione e lo aprirà nell'app Impostazioni. Da qui basta premere Installa, inserire il passcode, premere nuovamente Installa e premere Installa una terza volta nella finestra di dialogo che si apre. Infine, spingere Fatto, e Breviarum Meum tornerà a funzionare. Si potrà anche visitare i numerosi altri siti Web che utilizzano i certificati SSL emessi da Let's Encrypt.

Nel caso non fosse chiaro, ecco qualche immagine del processo su un iPad 2:

Certificate installation step 1
Certificate installation step 2
Certificate installation step 3
Certificate installation step 4
Certificate installation step 5